### Class

# AdwViewStackPages

since: 1.4

#### Description [src]

    final class Adw.ViewStackPages : GObject.Object
      implements Gio.ListModel, Gtk.SelectionModel {
      /* No available fields */
    }

An auxiliary class used by `AdwViewStack`.

See `AdwViewStack:pages`.

Available since: 1.4

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel
- GtkSelectionModel

#### Instance methods

###### adw_view_stack_pages_get_selected_page

Gets the `AdwViewStackPage` for the visible child of a view stack.

since: 1.4

###### adw_view_stack_pages_set_selected_page

Sets the visible child in the associated `AdwViewStack`.

since: 1.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

##### Methods inherited from GtkSelectionModel (11)

###### gtk_selection_model_get_selection

Gets the set containing all currently selected items in the model.

###### gtk_selection_model_get_selection_in_range

Gets the set of selected items in a range.

###### gtk_selection_model_is_selected

Checks if the given item is selected.

###### gtk_selection_model_select_all

Requests to select all items in the model.

###### gtk_selection_model_select_item

Requests to select an item in the model.

###### gtk_selection_model_select_range

Requests to select a range of items in the model.

###### gtk_selection_model_selection_changed

Helper function for implementations of `GtkSelectionModel`.

###### gtk_selection_model_set_selection

Make selection changes.

###### gtk_selection_model_unselect_all

Requests to unselect all items in the model.

###### gtk_selection_model_unselect_item

Requests to unselect an item in the model.

###### gtk_selection_model_unselect_range

Requests to unselect a range of items in the model.

#### Properties

###### Adw.ViewStackPages:selected-page

The selected `AdwViewStackPage` within the `AdwViewStackPages`.

since: 1.4

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

##### Signals inherited from GtkSelectionModel (1)

###### GtkSelectionModel::selection-changed

Emitted when the selection state of some of the items in `model` changes.

#### Class structure

    struct AdwViewStackPagesClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.